import React from 'react'

import Content from '../index'

const defaultProps = {
  content: 'E2',
  noteType: 'pitch',
  showEnharmonics: false,
}

it('Content component, snapshot', () => {
  const wrapper = shallow(<Content {...defaultProps} />)
  expect(wrapper).toMatchSnapshot()
})

it('Content component, showEnharmonics: true', () => {
  const props = {
    ...defaultProps,
    content: 'F#2',
    showEnharmonics: true,
  }
  const wrapper = shallow(<Content {...props} />)
  expect(wrapper).toMatchSnapshot()
})

it('Content component, content not note', () => {
  const props = {
    ...defaultProps,
    content: 'foo',
  }
  const wrapper = shallow(<Content {...props} />)
  expect(wrapper).toMatchSnapshot()
})
